libebook::EBOOKMemoryStream Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::EBOOKMemoryStream Class Reference

`#include <EBOOKMemoryStream.h>`

Inheritance diagram for libebook::EBOOKMemoryStream:

## Public Member Functions
| EBOOKMemoryStream ()
| EBOOKMemoryStream (const unsigned char *data, unsigned length)
virtual | ~EBOOKMemoryStream ()
virtual bool | isStructured ()
virtual unsigned | subStreamCount ()
virtual const char * | subStreamName (unsigned id)
virtual bool | existsSubStream (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
virtual RVNGInputStream * | getSubStreamById (unsigned id)
virtual const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
virtual int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | isEnd ()

## Private Member Functions
| EBOOKMemoryStream (const EBOOKMemoryStream &other)
EBOOKMemoryStream & | operator= (const EBOOKMemoryStream &other)

## Private Attributes
const unsigned char * | m_data
const long | m_length
long | m_pos

## Constructor & Destructor Documentation

## ◆ EBOOKMemoryStream() [1/3]

libebook::EBOOKMemoryStream::EBOOKMemoryStream | ( | const EBOOKMemoryStream & | other | ) |
| private

## ◆ EBOOKMemoryStream() [2/3]

libebook::EBOOKMemoryStream::EBOOKMemoryStream | ( |  | ) |

## ◆ EBOOKMemoryStream() [3/3]

libebook::EBOOKMemoryStream::EBOOKMemoryStream | ( | const unsigned char * | data,
|  | unsigned | length
| ) |  |

## ◆ ~EBOOKMemoryStream()

libebook::EBOOKMemoryStream::~EBOOKMemoryStream | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ existsSubStream()

bool libebook::EBOOKMemoryStream::existsSubStream | ( | const char * | name | ) |
| virtual

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libebook::EBOOKMemoryStream::getSubStreamById | ( | unsigned | id | ) |
| virtual

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libebook::EBOOKMemoryStream::getSubStreamByName | ( | const char * | name | ) |
| virtual

## ◆ isEnd()

bool libebook::EBOOKMemoryStream::isEnd | ( |  | ) |
| virtual

Referenced by libebook::LRFParser::readBlockObject(), and libebook::LRFParser::readPageObject().

## ◆ isStructured()

bool libebook::EBOOKMemoryStream::isStructured | ( |  | ) |
| virtual

## ◆ operator=()

EBOOKMemoryStream& libebook::EBOOKMemoryStream::operator= | ( | const EBOOKMemoryStream & | other | ) |
| private

## ◆ read()

const unsigned char * libebook::EBOOKMemoryStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| virtual

## ◆ seek()

int libebook::EBOOKMemoryStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| virtual

## ◆ subStreamCount()

unsigned libebook::EBOOKMemoryStream::subStreamCount | ( |  | ) |
| virtual

## ◆ subStreamName()

const char * libebook::EBOOKMemoryStream::subStreamName | ( | unsigned | id | ) |
| virtual

## ◆ tell()

long libebook::EBOOKMemoryStream::tell | ( |  | ) |
| virtual

## Member Data Documentation

## ◆ m_data

const unsigned char* libebook::EBOOKMemoryStream::m_data
| private

Referenced by EBOOKMemoryStream(), read(), and ~EBOOKMemoryStream().

## ◆ m_length

const long libebook::EBOOKMemoryStream::m_length
| private

Referenced by isEnd(), read(), and seek().

## ◆ m_pos

long libebook::EBOOKMemoryStream::m_pos
| private

Referenced by isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- EBOOKMemoryStream.h
- EBOOKMemoryStream.cpp